<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class RefundLookupResponse extends AbstractResponse {

    /**
     * @var JWSTransaction[]
     */
    public array $signedTransactions;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedTransactions':
                return array_map(function ($signedTransaction) {
                    return new JWSTransaction(Util::unsafeDecodeJWS($signedTransaction));
                }, $value);
            default:
                return $value;
        }
    }

}